#include "dev_systick.h"

volatile static uint32_t delay;
volatile uint32_t        sys_tick_u32 = 0;
static uint32_t          fac_us       = 168;

void dev_systick_decrement(void)
{
    if (0u != delay)
    {
        delay--;
    }
}

void dev_systick_increase(void)
{
    sys_tick_u32++;
}
